## shatag 0.5.0

=== requirements.txt ===
PyYAML>=3.11
xattr>=0.7.9

## shatag 0.4

=== debian/changelog ===
shatag (0.4-2ubuntu1) raring; urgency=low

  * use python3 shebang.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Nov 2012 01:23:54 +0100

shatag (0.4-2) unstable; urgency=low

  * Add missing dependencies:
    - python3-yaml, for shatag. (Closes: #677585)
    - python3-pyinotify, for shatagd. (Closes: #677640)

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Jun 2012 13:22:54 +0200

shatag (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #664076)

 -- Didier Raboud <odyx@debian.org>  Mon, 28 May 2012 10:56:31 +0200

=== debian/control ===
Source: shatag
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9~),
 python3-all,
 python3-setuptools
Vcs-Git: git://anonscm.debian.org/collab-maint/shatag.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shatag.git
Homepage: https://bitbucket.org/maugier/shatag
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2
X-Python-Version: none

Package: shatag
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pyxattr,
 python3-yaml,
 python3-pyinotify
Description: tool to store file checksums in extended attributes, and work with them
 Shatag is a tool for computing and caching file checksums, and do
 remote duplicate detection. Files are compared on their SHA-256 hash to
 find duplicates, and will use filesystem extended attributes to cache
 the checksum values.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build shatag.egg-info

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/shatag --install-layout=deb; \
	done;

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## shatag 0.4.1

=== debian/changelog ===
shatag (0.4.1-2) unstable; urgency=low

  * Fix automatic dependency against non-existant python3-xattr
    (Closes: #730199)

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Nov 2013 09:57:28 +0100

shatag (0.4.1-1) unstable; urgency=low

  * New 0.4.1 upstream release
    - Add push mode to shatagd
    - Fix invalid level in __import__ call (fixes python >= 3.3)
  * Bump Standards-Version to 3.9.5 without changes needed
  * Amend previous changelog entry to refer to the correct bugreport

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Nov 2013 10:50:44 +0100

shatag (0.4-4) unstable; urgency=low

  [ Didier Raboud ]
  * Upload to unstable.
  * Amend shatag 0.4-3 changelog entry to mark that the upload went to
    experimental.

  [ Jakub Wilk ]
  * Don't use dh_auto_* tools to avoid trying to run setup.py with
    python2.x, which is not supported. (Closes: #707026)

 -- Didier Raboud <odyx@debian.org>  Tue, 07 May 2013 08:59:37 +0200

shatag (0.4-3) experimental; urgency=low

  [ Dmitrijs Ledkovs ]
  * Use python3 shebang. (Closes: #692290)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Nov 2012 08:19:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: shatag
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9~),
  python3-all,
  python3-setuptools
 Vcs-Git: git://anonscm.debian.org/collab-maint/shatag.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shatag.git
 Homepage: https://bitbucket.org/maugier/shatag
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 X-Python3-Version: >= 3.2
-X-Python-Version: none
 
 Package: shatag
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build shatag.egg-info

override_dh_auto_build:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;

override_dh_auto_install:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/shatag --install-layout=deb; \
	done;

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://bitbucket.org/maugier/shatag/downloads /maugier/shatag/get/([\d\.]+)\.tar\.bz2

## shatag 0.5.0

=== debian/changelog ===
shatag (0.5.0-4) unstable; urgency=medium

  * Give credit where credit is due; update previous changelog entry
  * Swap python3-pyxattr for python3-xattr
  * Add missing --with=python3
  * Add patch to install the shatag.cli module (Closes: #956373)

 -- Didier Raboud <odyx@debian.org>  Mon, 15 Feb 2021 09:11:12 +0100

shatag (0.5.0-3) unstable; urgency=medium

  * Refresh packaging, fixes FTBFS (Closes: #952323)
    [ Ondřej Nový ]
    - Use secure copyright file specification URI
    - Remove unnecessary X-Python{,3}-Version field in debian/control
    [ Didier Raboud ]
    - Add missing build dependency on dh addon
    - Bump debhelper from old 10 to 12
    - Set debhelper-compat version in Build-Depends
    - Bump Standards-Version to 4.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2020 20:09:41 +0100

shatag (0.5.0-2) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:55:50 +0100

shatag (0.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #840299)

  * Add gbp.conf for the new branch layout
  * Bump Standards-Version to 4.0.1 without changes needed
  * Bump debhelper compat to 10

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Aug 2017 18:40:31 -0400

=== debian/control ===
Source: shatag
Maintainer: Didier Raboud <odyx@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12),
               python3-all,
               python3-setuptools,
               dh-python | dh-sequence-python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/shatag
Vcs-Git: https://salsa.debian.org/debian/shatag.git
Homepage: https://bitbucket.org/maugier/shatag

Package: shatag
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-xattr,
         python3-yaml,
         python3-pyinotify
Description: tool to store file checksums in extended attributes, and work with them
 Shatag is a tool for computing and caching file checksums, and do
 remote duplicate detection. Files are compared on their SHA-256 hash to
 find duplicates, and will use filesystem extended attributes to cache
 the checksum values.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3
+	dh $@ --buildsystem=pybuild --with=python3
 
 override_dh_auto_clean:
 	rm -rf build shatag.egg-info
